{ pkgs, ... }:
{
  environment = {
    etc."pam.d/xscreensaver".source = "/etc/static/pam.d/xlock";
    systemPackages = [
      #pkgs.other
      pkgs.google-authenticator
    ];
  };

  security.pam.services = {
    chfn.googleAuthenticator.enable = true;
    chsh.googleAuthenticator.enable = true;
    #cups.googleAuthenticator.enable = true;
    lightdm.googleAuthenticator.enable = true;
    login.googleAuthenticator.enable = true;
    other.googleAuthenticator.enable = true;
    sshd.googleAuthenticator.enable = true;
    su.googleAuthenticator.enable = true;
    sudo.googleAuthenticator.enable = true;
    vlock.googleAuthenticator.enable = true;
    xlock.googleAuthenticator.enable = true;
    xscreensaver.googleAuthenticator.enable = true;
  };
}
